<?php

declare(strict_types=1);

namespace App\Administration\Domain\Repository;

use App\Administration\Domain\Exception\HomeworkRulesNotFoundException;
use App\Administration\Domain\Model\HomeworkRules\HomeworkRules;
use App\Shared\Domain\Tenant\TenantId;

interface HomeworkRulesRepository
{
    public function save(HomeworkRules $homeworkRules): void;

    /** @throws HomeworkRulesNotFoundException */
    public function get(TenantId $tenantId): HomeworkRules;

    public function findByTenantId(TenantId $tenantId): ?HomeworkRules;
}
